.section	".rodata"
.align	8
l_5:	! 7.800000
	.long	0x33333333
	.long	0x401f3333
.section	".text"
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	l_5, %i2
	ldd	[%i2 + 0], %f0
	st	%o7, [%i0 + 4]
	call	min_caml_int_of_float
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
